What is WorkTime- Overview

WorkTime Overview

WorkTime Overview section answers the very first questions:

What is WorkTime - WorkTime purpose description and the main WorkTime features
Quick Start - how to start using WorkTime
WorkTime Terminology - what terminology is used to describe WorkTime features
How to Buy WorkTime - what to do to buy WorkTime license
System Requirements - what is needed to run WorkTime


What is WorkTime

 WorkTime is a versatile and easy to use utility that tracks the time spent working with the PC.
WorkTime gathers statistics about projects you work on, applications you use, documents you work with, web-sites you visit and time spent for every of these activities.
Main features

PC Usage Tracking - WorkTime works in the background mode and records activities performed on the PC. WorkTime tracking is very precise and flexible.
Project Tracking - WorkTime can track the time spent in different projects. Simply create your project structure and let WorkTime collect data under your projects.
Reports - WorkTime proposes various types of reports: detailed/summary, daily/weekly/monthly. Reports can be exported to various formats: XLS, PDF, CSV and more.
Network Support - WorkTime can work in client-server mode when all data from client computers is collected in the server database.
Offline Mode - WorkTime can run in offline mode when the database is not available. This feature is very useful for laptop and remote users who don't have connection to the database.
Hidden Mode - WorkTime collects data without displaying any icons, windows, messages and without playing any sounds.
Notes - you can add notes about your work to keep track of what exactly you were working on at certain period of time.
Quick Work - WorkTime is organized the way so it does not take your desktop space and at the same time all necessary information and functionality can be accessed very quickly without interrupting your work.
Tracking Levels - this feature allows you to choose depending on your needs what data should be tracked.
Security and Privacy - security and privacy related features.
Languages - multi-language support for WorkTime interface.

See also Quick Start, Main Window, Main Menu, WorkTime Terminology, Options, Compare editions


Quick Start

By default the main WorkTime window appears in the right bottom corner of the screen.
Default User Name is your Windows login name.
Just click Start and WorkTime will accumulate information about your work with the computer until you click Stop or shut down Windows.

To access WorkTime Options or Reports, right-click on the WorkTime tray-icon and select Options or Reports menu item.

See also Main Window, Main Menu, Options, Reports, WorkTime Terminology, How to Buy WorkTime


WorkTime Terminology

WorkTime Terminology section of this help gives you an understanding about terminology used to describe WorkTime functionality and processes. For the detailed information refer to the Classifiers, Tracking, Reports and Database topics of this section.

See also Terminology - Classifiers, Terminology - Tracking, Terminology - Reports, Terminology - Database, What is WorkTime


WorkTime Terminology - Classifiers

Classifiers are Users, Projects, Activities and Workstations.

User - the name of a person that uses the computer (usually it is user's Windows login name).
Project - the name of a project the user works on.
Activity - the name of an activity the user performs (Ex. Working, Phone Call etc.).
Workstation - the name of a computer in the Workgroup.

When tracking PC usage, WorkTime saves all information about executed applications, opened documents, visited web-sites under some User, Project, Activity and Workstation. In other words, all information is assigned to a User, Project, Activity and Workstation. If, for example, you don't use activities, then all data is assigned to a default activity.

How classifier lists are created
In the most cases, classifier lists should be created manually by a user.
User, Project, Activity - created manually by a user.
Workstation - workstation names are picked by WorkTime automatically.

Classifiers structure
All classifiers can be organized as a plain list or as a hierarchical structure (this way there are no limitations - classifiers can be organized according to your needs).
For example:
Projects
Client - Unisco |  |
 | Development (MSXN unit) |
 |  | Phase 1
 |  | Phase 2
 | Documenting (MSXN unit) |
Client - Resolve |  |
 | Development (WEB page) |

See also WorkTime Terminology Overview, WorkTime Terminology - Tracking, What is WorkTime, PC usage tracking


WorkTime Terminology - Tracking

Tracking - collecting data about applications, documents, web-sites that users run on the workstation.
PC Usage Tracking - collecting data about using the PC that includes user names (who uses this PC), applications, documents, web-sites usage.
Project Tracking - collecting data about PC usage under projects (by default all data is assigned to the default project).

Tracked Data

Tracked Data - information about user actions that includes classifiers names, applications/documents names and time: how long and when actions were performed.
Data, Collected Data = Tracked Data.
Time = Tracked Data - sometimes Time is used instead of Data for users convenience.
Track Under, Assign To - all data is tracked under certain classifiers (is assigned to certain classifiers).
Rollback Data - delete data permanently.

When tracking PC usage, Worktime saves all information about executed applications, opened documents, visited web-sites under some User, Project, Activity and Workstation (See WorkTime Terminology - Classifiers ). In other words, all information is assigned to a User, Project, Activity and Workstation. If, for example, you don't use activities, then all data is assigned to a default activity.

Applications, documents, web-sites lists are created by WorkTime automatically during the tracking process. No need to add applications, documents, web-sites manually.
Classifier lists are created manually by a user: WorkTime Terminology - Classifiers .

Tracking States

Tracking Started - WorkTime is running and collecting data (WorkTime can run without collecting data).
Tracking Stopped - Worktime is running but data is not being collected.
Tracking Paused - this is a temporary tracking state when data is being collected with a Paused mark.
Tracking Autopaused = Tracking Paused
Tracking Autostopped - this is a temporary tracking state when data is not being collected.

How WorkTime switches into different Tracking States:
Tracking Started - Tracking can be started manually by a user or it can be started automatically on the WorkTime launch (See Main Window, Main Menu, Options - Tracking).
Tracking Stopped - Tracking can be stopped manually by a user (See Main Window, Main Menu).
Tracking Paused - WorkTime automatically switches to a Paused mode if tracking is started but there is no keyboard or mouse activity for a certain period of time (See Options - Tracking). Depending on the further action all data, collected as Paused, might be rolled back (deleted) or it might be kept. Paused data is deleted if a user does not take any action (no keyboard or mouse activity), after this WorkTime switches to the Autostopped mode and stops tracking until user starts using PC again (until keyboard or mouse activity is indicated). Paused data is kept if there is keyboard or mouse activity indicated, in this case WorkTime switches to a Tracking Started mode and continues tracking without Paused mark.
Tracking Autopaused = Tracking Paused
Tracking Autostopped - WorkTime automatically switches to an Autostopped mode if tracking is started (or paused) and there is no keyboard or mouse activity for a certain period of time (See Options - Tracking). WorkTime switches back to a Tracking Started mode if there is keyboard/mouse activity indicated.

Tracking Levels

All data is collected depending on the level of tracking:
Level 1 - WorkTime collects data about projects, activities, users, workstations usage including start/finish times.
Level 2 - WorkTime collects the same data as under Level 1 and also applications, documents usage.
Level 3 - WorkTime collects the same data as under Level 2 and also applications, documents start/finish times.

See also Options - Tracking, Tracking Levels

General

Tracking Interval - this is period of time that identifies how often WorkTime tracks data (See Options - Tracking).
Save to Database - this is period of time that identifies how often WorkTime saves collected data to the database.
Day Break - by default Day Break value is equal to Midnight. All tracked data is assigned to a certain date (day). Data tracked between two closest day breaks belongs to the same date. Day Break can be changed to a user defined value (See Options - Tracking).
Hidden Mode - this is a mode when WorkTime runs hidden: no windows, sounds, messages (See Hidden Mode, Options - General).

See also WorkTime Terminology Overview, WorkTime Terminology - Database, WorkTime Terminology - Classifiers
Options - Tracking, Tracking Levels, What is WorkTime, Main Window, Main Menu, Hidden Mode, Options - General


WorkTime Terminology - Reports

Report is a visual representation of collected data. Reports can be tables, charts etc.

Show Report - displaying Reports window.
Preview Report - displaying a report using the print preview screen.
Print Report - sending a report to a printer.
Export Report - saving report to a file.
Filter - selecting date intervals, classifiers and report settings.
Generate Report - generating and viewing a report in the Reports window. Generate command builds a report according to the report settings without reloading collected data (data is loaded when Reports window is displayed or when Refresh action is performed).
Refresh - reloading collected data.
Active Time - all tracked time (data) that is not marked as Paused (See WorkTime Terminology - Tracking).
Inactive Time - all tracked time (data) that is marked as Paused (See WorkTime Terminology - Tracking).

See also WorkTime Terminology Overview, WorkTime Terminology - Tracking, Reports, How to use Reports, What is WorkTime


WorkTime Terminology - Database

All data collected by WorkTime is stored in the WorkTime database.

Local Database - database located at the same workstation as WorkTime.
Remote Database - database located at some remote workstation (different from the WorkTime workstation).
Offline/Online Modes - WorkTime works in Online mode if there is connection to the database; WorkTime works in Offline mode if there is no connection to the database.
Database Maintenance - database maintenance includes Database Repairing (if the database is corrupted for some reason, the database repair can be performed) and Database Archiving - saving the current database file to the backup location.

See also WorkTime Terminology Overview, WorkTime Terminology - Tracking, Options - Database, What is WorkTime


How to buy WorkTime

Click here to buy WorkTime

Order WorkTime and get
Full licensed version
Lifetime technical support
Free upgrades to the latest version of WorkTime 4.

Compare features of two WorkTime editions: Home and Professional:

Feature | Home | Professional
PC Usage/ Working Time Tracking
Track projects, activities, users, workstations... | Yes | Yes
Track applications, documents, web-sites usage... | Yes | Yes
Track applications/documents start/finish times... | Yes | Yes
Project autochange... | No | Yes
Add/edit time manually... | No | Yes
Add notes... | No |
Track only selected applications... | No | Yes
Reports
5 Report types available... | Yes | Yes
Reports preview... | Yes | Yes
Reports print... | No | Yes
Reports export (CSV, XLS, HTML etc.)... | No | Yes
Application/document name parsing rules... | No | Yes
Security
Hidden mode... | Yes | Yes
Prohibit from running certain applications... | Yes | Yes
Network
Network database & multi-workstations support... | No | Yes
Offline mode... | No | Yes
Quick Work
Customizable main window... | Yes | Yes
Global shortcuts... | Yes | Yes
Quick Task window... | No | Yes
Favorites & History... | No | Yes

30 days trial: WorkTime Professional Edition features are available to try within 30 days trial period.

Click here to buy WorkTime


System Requirements

WorkTime works on a standard Windows based computer.
There are no special requirements.

See also What is WorkTime, How to Buy WorkTime


WorkTime Features

Features

The main WorkTime features include:

PC Usage Tracking - WorkTime works in the background mode and records activities performed on the PC. WorkTime tracking is very precise and flexible.
Project Tracking - WorkTime can track the time spent in different projects. Simply create your project structure and let WorkTime collect data under your projects.
Reports - WorkTime proposes various types of reports: detailed/summary, daily/weekly/monthly. Reports can be exported to various formats: XLS, PDF, CSV and more.
Network Support - WorkTime can work in client-server mode when all data from client computers is collected in the server database.
Offline Mode - WorkTime can run in offline mode when the database is not available. This feature is very useful for laptop and remote users who don't have connection to the database.
Hidden Mode - WorkTime collects data without displaying any icons, windows, messages and without playing any sounds.
Notes - you can add notes about your work to remind yourself later on what exactly you were working on at certain period of time.
Quick Work - WorkTime is organized the way so it does not take your desktop space and at the same time all necessary information and functionality can be accessed very quickly without interrupting your work.
Tracking Levels - this feature allows you to choose depending on your needs what data should be tracked.
Security and Privacy - security and privacy related features.
Languages - multi-language support for WorkTime interface.

See also Main Window, Main Menu, WorkTime Terminology, Options, Compare editions


Features - PC Usage Tracking

PC Usage Tracking

Using WorkTime you can track everything about your PC: applications you run, documents/projects you work on, web-sites you visit and time spent for every of these activities.

WorkTime works in the background mode and automatically records all activities performed on the PC.

WorkTime tracking is very precise and flexible: it can pause for the keyboard/mouse or screensaver inactivity, automatically change projects depending on the active application/document, track certain applications only and more. WorkTime proposes different levels of tracking: total working time, when work is started and when it is finished, applications usage, documents usage.

Main features
Automatic time tracking
Track depending on the mouse/keyboard/screensaver
Different levels of tracking
Track selected applications
Hidden mode

Automatic time tracking

All tracking is performed by WorkTime automatically in the background mode. In other words, you simply start WorkTime (See Main Window), minimize it and use your PC: WorkTime is hidden and works for you collecting comprehensive PC usage data.

How tracking is performed? WorkTime tracks the time when you actually work with applications/documents. "Actual work" means that the application/document is active and there is keyboard or mouse activity.

To start WorkTime tracking, click Start button on the main WorkTime window (See Main Window).
To see what data is currently tracked, open WorkTime Tracking Info Panel using WorkTime main menu (See Main Menu):

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Tracking - mouse/keyboard/screensaver

WorkTime tracking is paused automatically if there is no mouse/keyboard activity or if screensaver runs. To adjust this functionality to your needs, WorkTime proposes various amount of options (See Options - Tracking): autopause or autostop tracking when screensaver runs or if there is no keyboard/mouse activity for more than several minutes.

To setup WorkTime behavior on mouse/keyboard/screensaver inactivity, open WorkTime Options window and select Settings|Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Levels of tracking: applications/documents usage (total time usage, start/finish time)

You can define the level of tracking depending on your needs (See Options - Tracking): WorkTime can track the total working time, applications or documents usage, when the work on projects/applications/documents was started and when - finished (See Tracking Levels).

To select levels of tracking, open WorkTime Options window and go to Settings|Tracking|Advanced Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Track selected applications

(This is feature of WorkTime Professional)

With WorkTime it is possible to define the set of applications that should (or should not) be tracked (See Options - Tracking). This function is very useful for remote employees or to protect your children from accessing certain applications/web-sites.

To define applications that should be tracked, open WorkTime Options window and select Settings|Tracking|Applications Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Hidden mode

WorkTime can collect data without displaying any icons, windows, messages and without playing any sounds (See Options - General, Hidden Mode).

To switch WorkTime to a hidden mode, open WorkTime Options window and select Settings|General|Security options group (See Options - General).

See also Options - General, Reports, Hidden Mode, Main Window, Main Menu, WorkTime Terminology - Tracking, Compare editions


Features - Project Tracking

Project Tracking

WorkTime can track the time spent in different projects.

Simply create your project structure and let WorkTime collect data under your projects. Projects can be organized in a hierarchical structure (as a "tree") or in a plain list. Hierarchical structure allows you to group projects.

WorkTime can automatically change projects depending on the active application/document, track certain applications only and more. WorkTime informative reports are perfect to analyze or bill your time.

Main features
 User defined project structure
Project autochange
Add/edit time manually
User defined daybreak
Track selected applications
Bill clients - Rate per hour
Different levels of tracking
Notes
Invoices and Timesheets

Project structure

You can create your own projects structure to track your time under different projects (See Options - Edit).

Projects structure can be hierarchical - you can group your projects. This is very convenient if you, for example, have a few different projects for the same client, etc.

To create your projects structure, open WorkTime Options window and select Customize & Edit|Projects (See Options - Edit).

See also Options - Edit , Main Window, Main Menu, WorkTime Terminology - Classifiers

Project autochange

(This is feature of WorkTime Professional)

WorkTime can automatically change projects depending on the active application/document (See Options - Tracking).
This feature is very useful when you are working on several projects at the same time and often switch from one to another. In this case there is no need to switch between WorkTime projects manually when you open another document, WorkTime can do it for you automatically.

Example: You are working on several Adobe Photoshop documents (cd_tl.psd, cd_wt.psd) related to different clients correspondingly (projects: DNP, Bridge Consulting).
In this case you can setup project autochange with the following rules:
When application/document contains "cd_tl" - switch project to "DNP";
When application/document contains "cd_wt" - switch project to "Bridge Consulting".

To setup Project Autochange feature, open WorkTime Options window and select Settings|Tracking|Advanced Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Add/edit time manually

(This is feature of WorkTime Professional)

WorkTime allows you to move tracked time/data between the projects (See Options - Edit). This feature is useful if you forgot to switch from one project to another. To switch between the projects automatically, use Project Autochange feature.
If you forgot to click Start button or to launch WorkTime, you can add time manually. You can setup WorkTime to launch and start tracking time automatically on Windows startup.

To correct tracked time manually, open WorkTime Options window and select Customize & Edit|Time (See Options - Edit).

See also Options - Edit , Main Window, Main Menu, WorkTime Terminology - Classifiers

User defined daybreak

By default, WorkTime tracks time on a daily basis when day ends at the midnight.
But if you prefer to work late (past midnight) you might want to count that time for the previous day (instead of adding it to the next day).
In this case you can define your own daybreak - e.g. 2:00 AM (See Options - Tracking).

To setup User Defined Daybreak, open WorkTime Options window and select Settings|Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Track selected applications

(This is feature of WorkTime Professional)

With WorkTime it is possible to define the set of applications that should (or should not) be tracked. This function is very useful for remote employees (See Options - Tracking).

To define applications that should be tracked, open WorkTime Options window and select Settings|Tracking|Applications Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Bill clients - Rate per hour

You can assign to each of your projects a Rate per hour value to track the money earned and to bill your clients (See Options - Edit).

To define Rate per Hour, open WorkTime Options window and select Customize & Edit|Projects (See Options - Edit).

See also Options - Edit , Main Window, Main Menu, WorkTime Terminology - Classifiers

Different levels of tracking

You can define the level of tracking depending on your needs: WorkTime can track how long and when you worked on the projects. It is possible to track applications or documents usage but if you do not need it, you can turn it of (See Options - Tracking, Tracking Levels).

To select levels of tracking, open WorkTime Options window and go to Settings|Tracking|Advanced Tracking options group (See Options - Tracking).

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking

Notes

(This is feature of WorkTime Professional)

You can add notes about your work to keep track of what exactly you were working on at certain period of time. This is a very helpful feature to control yourself and also to create reports for your clients/customers/mangers so they can see what you spend your time on and what you charge them for.

See also Features - Notes, Options - General, Reports, Main Window, Main Menu

Invoices and Timesheets

Using WorkTime Reports tool and Export functionality you can generate invoices or timesheets (See Reports).
For example,
to generate invoices, you can use report Summary (to see how much time you worked on different projects). And then all generated data can be exported, for example, to CSV format, so you can add your personal logo or any other necessary information.
To generate timesheets, you can use report Time Line (to see how long and when you worked on projects or to see notes explaining what job was done - see Notes). And then, again, all generated data can be exported, for example, to CSV format, so you can add your personal logo or any other necessary information.

See also PC Usage Tracking, Reports, Notes, Compare editions


Features - Reports

Reports

Using WorkTime Reports tool you can generate informative reports.
WorkTime reports have huge amount of customizing capabilities (views, filters) that help you to sort-out and analyze your data.
Reports can be printed or exported to various formats.

To open Reports window, go to WorkTime main menu and select Reports menu item (See Main Menu, Main Window, How to use Reports).

Main Features
Report Calendar
Report Summary
Report Time Line
Report Data Analysis
Report Application & Document Usage
 _______________
Print
Export
Comparison
Filters
Groups
Invoices and Timesheets

Report Calendar

Calendar report displays the total working time on a daily and a weekly bases.
This report can show the total money earned and work begin/end times. Report can be presented as a calendar, as a flat grid or as a chart.
Also you can compare time spent in different projects, activities, groups etc.

Use Example: Report Calendar can be used to display the total time spent working for the week and for each day of the week.

To generate Report Calendar, open Reports window (See Main Menu, Main Window) and click Show Report Calendar tool-button (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Report Summary

Summary report displays the total time spent based on projects, activities, users and workstations for some period of time.

Use Example: Report Summary can be used to display the total time spent working on different projects. This report can be also used to generate invoices.

To generate Report Summary, open Reports window (See Main Menu, Main Window) and click Show Report Summary tool-button (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Report Time Line

Time Line report displays working time intervals.
Data can be grouped by projects, users, workstations, activities, notes, applications or documents.

Use Example: Report Time Line can be used to analyze when exactly you worked on the projects. Or, if you use Notes feature, you can also group data by notes and see what exactly and when you were working on (See Features - Notes).
This report can be also used to generate timesheets.

To generate Report Time Line, open Reports window (See Main Menu, Main Window) and click Show Report Time Line tool-button (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports, Notes

Report Data Analysis

Data Analysis report allows you to define your own data combinations: Times - Projects, Projects - Users, Projects - Users - Activities (multidimensional data combination) etc.

This is the most complex and flexible WorkTime data presentation. Report can be presented as a chart or as a grid. Data Analysis report is very effective on meetings or presentations.

Use Example: Report Data Analysis can be used to illustrate how all the users work on the projects.

To generate Report Data Analysis, open Reports window (See Main Menu, Main Window) and click Show Report Data Analysis tool-button (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Report Applications/Documents Usage

Applications/Documents Usage report displays applications and documents total time usage.

Use Example: Report Applications/Documents Usage can be used to identify how often users run Internet Explorer and what web-sites they visit.

To generate Report Applications/Documents Usage, open Reports window (See Main Menu, Main Window) and click Show Report Applications/Documents Usage tool-button (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Print reports / Export reports

(This is feature of WorkTime Professional)

After report is generated, you can open the print preview. From the print preview report can be printed or exported to PDF, HTML, Excel, RTF, BMP, JPEG, TIFF, GIF, Text, CSV or sent via email.
To print or export a report, generate it first and then click Print Preview Report tool-button (See How to use Reports).

One more way to export to CSV is to select Report | Export to CSV menu item in the Reports screen.

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports, Compare editions

Filters

Filter is one of the most powerful report features.

You can filter your data by projects, activities, users, workstations, applications, documents or by groups.

To define report filters, open Reports window, select a report and then select filters using Filter tool-buttons and Filter drop-down lists (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Comparison

Calendar report presents Comparison function. This function is good if you want, for example, to compare work on two projects or work of two users etc.

To activate Comparison function, open Reports window, select Report Calendar and click Compare to... tool-button. Now you can select comparison filters using Filter tool-buttons and Filter drop-down lists (See How to use Reports).

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Groups

All projects, activities, users and workstations, applications and documents can be organized into hierarchical groups (e.g. teams, departments, projects phases/stages etc.) and then all reports can be filtered by those groups (See Options - Edit).

Use Example: There are 2 developers in the team and you want to see the total team report. In this case you can create a new user group "Developers" and move both developers under this group. Then whenever you filter WorkTime data by the user group "Developers" you will see the total combined time for both developers.

See also How to use Reports, Main Menu, Main Window, WorkTime Terminology - Reports

Invoices and Timesheets

Using WorkTime Reports tool and Export functionality you can generate invoices or timesheets (See Reports).
For example,
to generate invoices, you can use report Summary (to see how much time you worked on different projects). And then all generated data can be exported, for example, to CSV format, so you can add your personal logo or any other necessary information.
To generate timesheets, you can use report Time Line (to see how long and when you worked on projects or to see notes explaining what job was done - see Notes). And then, again, all generated data can be exported, for example, to CSV format, so you can add your personal logo or any other necessary information.

See also PC Usage Tracking,Notes


Features - Notes

Notes

(This is feature of WorkTime Professional)

WorkTime proposes Notes feature that allows you to add notes about your work to keep track of what exactly you were working on at certain period of time.
This is a very helpful feature to keep track for yourself and also to create reports for your clients/customers/mangers so they can see what you spend your time on and what you charge them for.

Each note, you add, is attached to a group of classifiers (User, Project, Activity, Workstation) and to a date (current day date) (See also WorkTime Terminology - Classifiers).

Adding notes

To add a note, select menu item Tools | Add Note in the main WorkTime menu (See Main Menu).
Or if you want to be proposed automatically each time tracking is started, stopped or classifiers are changed, setup Options General | Messages/Notes (See also Options - General).

If you add notes a few times, while working under the same classifiers (User, Project, Activity, Workstation) during the same day, you'll see all your notes for this date and classifiers set collected in the Add note screen, where you can update them.
Each time tracking is started or classifiers are changed a new empty note is issued.

Important: as soon as notes describe your work, they can be added only if tracking is working (See WorkTime Terminology - Tracking, Features - Tracking, Options - Tracking).

Editing old notes

If you need to edit an old note (for example, added one week ago), you can do it using Options screen Customize & Edit | Time (See also Options - Customize & Edit). Just find a note that you need to change and do all necessary changes.

Reports and export

In WorkTime Reports screen select Time Line report, group data by Notes and this is your report ready:

One more way to display notes is to group Time Line data by <None> and select Show Notes checkbox.

After report is generated, all data can be exported to CSV, MS Word, MS Excel and more (See also Features - Reports).

See also Main Menu, Options - General, Options - Customize & Edit, Features - Tracking, Options - Tracking, WorkTime Terminology - Classifiers, WorkTime Terminology - Tracking, Compare editions


Features - Network Support

Network Support

(This is feature of WorkTime Professional)

WorkTime can work in a client-server mode when all data from client computers is saved to the server database.
This feature simplifies gathering data and viewing reports for different computers in your the network.

Main features
 Collect data from the local network workstations
View reports on the server workstation
Compare usage of different workstations
Offline mode

Local network - collecting data

WorkTime can work in a client-server mode collecting data form the local network workstations to the server database. Server database should be located on the server workstation (server workstation is a computer in your local network).

To setup WorkTime for a client-server work, complete these steps: How to setup WorkTime to work in a client-server mode.
To define network database, open WorkTime Options window and select Settings|Database (See Options - Database).

See also Options - Database, How to setup WorkTime to work in a client-server mode, WorkTime Terminology - Database

Local network - viewing reports

If running WorkTime in a client-server mode, you can check usage of the workstations in your local network right from your server computer.

To view reports from the server computer, run WorkTime on the server computer, open Reports window (See Main Menu, Main Window) and generate reports (See Reports, How to use Reports).

See also Reports, How to use Reports, WorkTime Terminology - Reports, Main Menu, Main Window

Compare usage of different workstations

Using comparison and filters functions you can compare usage of any workstations in your local network (See Reports, How to use Reports).

See also Reports, How to use Reports, WorkTime Terminology - Reports, Main Menu, Main Window

Offline mode

Offline mode is very useful if some of your employees use laptops and not always have connection to your server database when working. Offline mode is "responsible" for delivering accurate data to the server database if there was no network connection to the server workstation (See Offline Mode, Options - Database, Options - General, Main Window).

To activate Comparison function, open Reports window, select Report Calendar and click Compare to... tool-button. Now you can select comparison filters using Filter tool-buttons and Filter drop-down lists (See How to use Reports).

See Offline Mode, Options - Database, Options - General, Main Window, How to use Reports

See also Reports, Offline Mode, WorkTime client-server - setup instructions, Compare editions


Features - Offline Mode

Offline Mode

(This is feature of WorkTime Professional)
WorkTime can run in offline mode when database is not available. In this case all data is saved locally and can be added to the database later.

This is an absolutely necessary feature for laptop users and remote employees who don't have permanent connection to the network.

All data, that was collected locally, will be added to the database when database is available or it can be simply sent via e-mail and and then added to the database.

Offline mode is also useful for the cases when connection to the database is simply lost for a technical reason.

The main about Offline Mode feature: your data is always stored and accurate, even if connection to the database is lost.

Use example
Laptop users. If you are a laptop user, this is how WorkTime Offline mode works for you:
Step 1. Your laptop is connected to the company's local network and WorkTime can access the server database.
Step 2. If it is time for you to disconnect your laptop, simply disconnect it.
Step 3. When working without connecting to the server database, WorkTime will propose to switch to Offline Mode. Simply select to work offline and continue your work.
Step 4. When your laptop is back in the company's local network, click Go Online button on the main WorkTime window - WorkTime will connect to the database and all data collected locally during offline work will be automatically added to the database.

See also Options - Database, Main Window, Main Menu, WorkTime Terminology - Database, Compare editions


Features - Hidden Mode

Hidden Mode

Hidden mode - WorkTime can collect data without displaying any icons, windows, messages and without playing any sounds.
In the hidden mode WorkTime name is not visible in the Windows Processes list.
Hidden mode is password protected. To switch back from the hidden mode, password must be provided.

To switch to a hidden mode, open WorkTime Options window and select Settings|Security (See Options - General, Hidden Mode).
To switch back from a hidden mode, click Ctrl + Shift + Alt + W and enter the password when prompted. Note: Ctrl + Shift + Alt + W is a default keys combination, this combination can be changed (See Options - General) and if it was changed, you need to provide your (changed) combination to exit the hidden mode.

See also Options - General, Hidden Mode


Features - Quick Work

Quick Work

(This is feature of WorkTime Professional)

Using WorkTime Quick Work feature you can setup WorkTime to respond all important commands very quickly without taking your desktop space and getting on the way at the same time.

Main Quick Work features

Projects, Users, Activities - quick change/select
Notes, Time - quick add/edit
Tracking - quick start/stop
Reports, Options - quick access
Quick Task window
Favorites and History
Quick Statistics panels
and more...

How is Quick Work organized in WorkTime

Global Shortcuts

All the above Quick Work functions can be called using customizable global shortcuts (you can assign a shortcut to each function, for example: to select a project CTRL + ALT + P or any other combination convenient for you can be used).

Quick Task window

Another way to organize your Quick Work is to use WorkTime Quick Task window - a small floating stay-on-top customizable window, where you can choose to display only necessary controls. Quick Task window allows you to perform any of the above functions (start/stop tracking, change project or activity, add notes etc.) quickly and conveniently.

For example, this Quick Task window has Start Tracking, Stop Tracking and Show Reports buttons, User selector drop-down menu (displays the current user name (Bob Summerson), allows you to change users), line of one-click Favorite Projects buttons (allows you to change project with only one click) and a Quick Statistics panel displaying how much time is spent today working in the selected project and how much money is earned:

To display the Quick Task window, select Options | Quick Task tab and mark Show Quick Task window option or select View | Quick Task menu item on the main WorkTime window.

Favorites and History

To speedup selecting/changing projects, users and activities, WorkTime proposes you Favorites and History functions.
Favorites are user customizable lists - you can create lists of the most used projects, users or activities. This saves time when changing projects, users or activities (you don't have to search in a huge amount of your records every time when you need to switch between two projects).
History is an automatically created list of the recently used projects, users and activities.

Customizable Main window

The main WorkTime window is also customizable: you can choose what controls should be displayed on it - the same idea as with Quick Task window. So, for those of you, who prefers to use the main WorkTime window instead of the Quick Task window, the main window is also fully customizable. The main WorkTime window can be minimized to the system tray or restored using customizable global shortcuts.

See also Options - General, Main Window, Main Menu, Quick Task Window, Favorites & History, Compare editions


Features - Tracking Levels

Tracking Levels

Using WorkTime you can track at your own choice applications and documents usage, how work on projects is performed, how workstations are used and more. WorkTime Tracking Levels feature allows you to choose depending on your needs what data should be tracked.

To select levels of tracking, open WorkTime Options window and go to Settings|Tracking|Advanced Tracking options group (See Options - Tracking).

Tracking Levels
Level 1: projects, activities, users, workstations usage including start/finish times
Level 2: Level 1 and applications, documents usage
Level 3: Level 2 and applications, documents start/finish times

Usage means the total time spent in projects, activities, documents etc.
E.g. yesterday Bob was working with Excel for 2 hours.

Start/Finish times means times when work is started and when - finished
E.g. Bob was working with Excel 9:00 AM - 10:30 AM and then 4:00 PM - 4:30 PM

Level 1

Level 1 tracks projects, activities, users, workstations usage including start/finish times.
Level 1 does not track applications and documents.

Example:
User name | Project name | Start time | Finish time | Total usage time
Bob S. | Development | 11:00 AM | 12:30 PM | 1 hour 30 minutes
Linda J. | Documentation | 13:30 PM | 15:05 PM | 1 hour 35 minutes
James H. | Support | 15:25 PM | 18:17 PM | 2 hours 52 minutes

Level 2

Level 2 tracks projects, activities, users, workstations usage including start/finish times and applications, documents usage.
Level 2 tracks the same data as Level 1 and also applications, documents usage.
Level 2 does not track applications, documents/start finish times.

Example:
User name | Project name | Application | Document | Start time | Finish time | Total usage time
Bob S. | Development |  |  | 11:00 AM | 12:30 PM | 1 hour 30 minutes
 |  | Notepad | log.txt |  |  | 20 minutes
 |  | Notepad | cmd.bat |  |  | 40 minutes
 |  | Excel | chart.xls |  |  | 5 minutes
 |  | Excel | db_report.xls |  |  | 25 minutes

Level 3

Level 3 tracks projects, activities, users, workstations, applications, documents usage including start/finish times.
Level 3 tracks the same data as Level 2 and also applications, documents start/finish times.

Example:
User name | Project name | Application | Document | Start time | Finish time | Total usage time
Bob S. | Development |  |  | 11:00 AM | 12:30 PM | 1 hour 30 minutes
 |  | Notepad | log.txt | 11:00 AM | 11:20 AM | 20 minutes
 |  | Notepad | cmd.bat | 11:20 AM | 12:00 PM | 40 minutes
 |  | Excel | chart.xls | 12:00 PM | 12:15 PM | 5 minutes
 |  | Excel | db_report.xls | 12:15 PM | 12:30 PM | 25 minutes

See also Options - Tracking, Main Window, Main Menu, WorkTime Terminology - Tracking


Features - Security & Privacy

Security & Privacy

Main features
Password protected Hidden Mode
Prohibit from running certain applications (to protect your children);
Track only selected applications (to protect privacy of remote employees) (See PC Usage Tracking).

To switch to a hidden mode, open WorkTime Options window and select Settings|Security (See Options - General, Hidden Mode).
To define prohibited (restricted) applications, open WorkTime Options window and select Settings|Security (See Options - General).
To define applications that should be tracked, open WorkTime Options window and select Settings|Tracking|Applications Tracking options group (See Options - Tracking).

See also Options - General, Options - Tracking, Hidden Mode, PC Usage Tracking, Compare editions


Features - Languages

Languages

WorkTime interface can be translated (localized) to different languages.

To select WorkTime interface language
Right-click WorkTime tray icon and select Help | Language menu item or
Select menu item Help | Language at the top of the main WorkTime window.

See also Main Window, Main Menu


How To Use

Topics under the How To Use section contain description of WorkTime interface (GUI).
By reading these topics you can get an understanding on how to use WorkTime Main Window, Main Menu, Options, Reports and more.

See also What is WorkTime


How to use: Main Window

Main Window

WorkTime Main Window - default view 		By default WorkTime main window appears in the right bottom corner of the screen.
Default User Name is your Windows login name.
Just click Start and WorkTime will accumulate information about your work with computer until you click Stop or shut down Windows.

The main WorkTime window areas
1 - WorkTime main menu (See Main Menu).
2 - Buttons panel. This panel contains the main WorkTime buttons: Start (starts tracking), Stop (stops tracking), Reports button (access to the reports) and Options (access to the options window).
3 - User panel. Here you can select user names from the drop-down list.
4 - Project panel. Here you can select projects using the drop-down list.
5 - Activity panel. Here you can select activities using the drop-down list.
6 - Quick Statistics panel. Quick Statistics panel on this screenshot displays the total working time and earned money for the current day for the selected User. Quick Statistics panels are customizable: panels can be turned off or you can add a few panels, also you can choose, what information should be displayed (user, project etc.). Panels' positions can be adjusted: just move panels using your mouse (See Options- General).
7 - Notify panel. This panel displays the current tracking status and notification messages about the current process (like, Processing Data etc.).
8 - WorkTime tray icon. Right-clicking the tray icon opens WorkTime Main Menu (See Main Menu).

Panels 3-7 are optional, panel 6 is customizable. You can setup WorkTime main window the way you want by hiding panels.
To setup main window view, open WorkTime options window and select Settings|General|Main Window View (See Options- General).

See also Options- General, Main Menu, Options, Reports


How to use: Main Menu

Main Menu

WorkTime Main Menu

WorkTime main menu is located at the top of the main WorkTime window or
it also can be accessed by right-clicking WorkTime system tray icon.

Main menu items

Minimize/Restore - hides/displays WorkTime main window
Start - starts tracking
Stop - stops tracking
Reports - brings up Reports window
Options - opens Options window
Tools|Add Note - opens Add Note window, where you can add notes about your work
Tools|Add Time Manually - opens Add Time Manually window, where you can add time if you forgot to start WorkTime
Help|Show Help Topics - access to WorkTime Help Topics
Help|FAQ - frequently asked questions
Help|Quick Start - quick start instructions
Help|Check for New Version - information on New Version
Help|Language - multi-language support (here you can select/download different languages for WorkTime interface)
Help|How to Order - information on how to order WorkTime
Help|Show Tracking Info - displays Tracking Info window, where you can see the currently tracked information
Help|Send Bug Report - report an issue
Help|About - copyright, WorkTime version, registration information, contacts

See also Main Window, Options, Reports, Compare editions


How to use: Options

Options

Topics under the Options section contain description of WorkTime Options window.

To access WorkTime Options window
Select View|Options menu item in the main WorkTime menu (See Main Window, Main Menu) or
Click Options button on the main WorkTime window (See Main Window) or
Open WorkTime main menu through WorkTime tray icon and select Options menu item (See Main Menu).

In the Options window you can setup
General WorkTime settings: WorkTime behavior on start, WorkTime Main Window view, default values at startup for users, projects and activities, WorkTime Quick Task window settings, favorites and history for users, projects, activities and workstations, shortcuts and WorkTime messages and notes.
Tracking settings: tracking autostart, how to track on Screensaver/Mouse/Keyboard inactivity, levels of tracking, projects autochange, applications tracking.
Security settings: restricted applications, hidden mode, users and groups privileges.
Database settings: path to the database, Online/Offline modes, database maintenance.
Health Reminder settings: short breaks and working days reminders.

Also you can customize WorkTime classifiers
Customize & Edit: adding/deleting/editing users, projects, activities, workstations, applications, documents and counted time; customizing Favorites for users, projects, activities, workstations.

See also Main Window, Main Menu, Options - General, Options - Tracking, Options - Security, Options - Database, Options - Health Reminder, Options - Customize & Edit


Options: General

Options - General

General WorkTime options include a few groups of settings, such us: WorkTime behavior on start, WorkTime Main Window view, default values at startup for users, projects and activities, WorkTime Quick Task window settings, favorites and history for users, projects, activities and workstations, shortcuts and WorkTime messages and notes. These settings are located on a few tabs: General, General|Startup Preset, General|Main Window View, General|Quick Task, General| Favorites & History, General| Shortcuts and General|Messages & Notes.

To access General options, open Options window and select Settings|General (See Main Window, Main Menu, Options).

General

Autostart

Launch WorkTime automatically on Windows start - WorkTime will launch automatically on windows startup if marked.
Apply for anyone who uses this computer - WorkTime will launch automatically on windows startup if marked for everyone.
Apply for me only (current user name) - WorkTime will launch automatically on windows startup if marked for the current user only.

See also Main Window, Main Menu

Main Window

Start WorkTime minimized - WorkTime will be minimized automatically on start if marked.
Stay on top - WorkTime main window will be always at the front of other windows if marked.
Transparency - WorkTime main window will be transparent if marked.

See also Main Window, Main Menu

Icons

Show Taskbar icon - WorkTime taskbar icon will be displayed if marked.
Show System Tray icon - WorkTime system tray icon will be displayed if marked.
Animated System Tray icon - WorkTime taskbar icon will be animated if marked.
Minimize to System Tray - WorkTime main window will be minimized to the system tray (no taskbar icon) if marked.

See also Main Window, Main Menu

General|Startup Preset

Default User at startup

Depending on the option selected, default User at WorkTime launch can be your Windows login name, the last User you used when working with WorkTime or simply a specified User selected from the users list.
The same applies for Projects and Activities: Project or Activity at WorkTime launch can be either the last used or selected from the list.

See also Main Window

General|Main Window View

Show User panel - User panel will be displayed on the main WorkTime window if marked. Mark this option if you want to see and change the current user on the main WorkTime window.
Show Project panel - Project panel will be displayed on the main WorkTime window if marked. Mark this option if you want to see and change the current project on the main WorkTime window.
Show Activity panel - Activity panel will be displayed on the main WorkTime window if marked. Mark this option if you want to see and change the current activity on the main WorkTime window.
Show Edit/Select... in drop-down lists - Edit/Select... item will be displayed at the bottom of User, Activity and Project drop-down lists (on the main WorkTime window) if marked. Mark this option if you want to add/edit classifiers quickly from the selectors drop-down lists on the main WorkTime window.
Show Online/Offline panel - Offline panel will be displayed on the main WorkTime window if marked. Mark this option if you want to see and change the current online/offline status on the main WorkTime window (See Offline Mode).
Show Notify panel - Notify panel will be displayed on the main WorkTime window if marked. Mark this option if you want to see the current tracking state (Ex. Tracking Started, Tracking Stopped) and what is the current process running on the main WorkTime window (Ex. Processing Files).
Show Add Note button - Add Note button will be displayed on the main toolbar if marked (See Main Window, Main Menu).
Show Add Time Manually button - Add Time Manually button will be displayed on the main toolbar if marked (See Main Window, Main Menu).
Show Quick Statistics panels - Quick Statistics panels will be displayed on the main WorkTime window if marked and if any panels are created in the panels list. Mark this option if you want to see (on the main WorkTime window), for example, the total working time and earned money for today (it can be some other data combination: user/project/activity/workstation for today or in total etc. - click Add button to add a new Quick Statistics panel) (See Main Window).

See also Main Window, Offline Mode, WorkTime Terminology - Classifiers, WorkTime Terminology - Tracking

General|Quick Task

(This is a feature of WorkTime Professional)

This Options tab contains settings for the Quick Task window - a small floating stay-on-to customizable window, where you can choose to display only necessary for your work controls, like Projects or Activities selectors, Show Reports button etc. Quick Task window allows you to perform all important functions (changing Projects, adding Notes etc.) and also this window is very small and contains only necessary information.

Show Quick Task window - if marked, the Quick Task window is displayed.

Quick Task window can display the following panels if selected:
User, Project, Activity panels - these panels display the current User, Project, Activity names. Each panel has its own menu that allows you to select/change User, Project or Activity quickly and to access Options.
Start/Stop - this panel contains Start Tracking and Stop Tracking buttons.
Reports - this panel contains Show Reports button.
Options - this panel contains Show Options button.
Add Note - this panel contains Add Note button.
Add Time - this panel contains Add Time button.
Online/Offline State - this panel displays information if WorkTime is currently working in Online or Offline mode and allows to switch between modes.
Tracking State - this panel displays information if WorkTime tracking is currently started or stopped and allows to start/stop tracking (can be used instead of the Start/Stop buttons panel).
Notify - this panel displays the current notification message (for example: Processing files...).
Menu - this panel allows accessing the main WorkTime pop-up menu (the same menu as is displayed when right-clicking WorkTime tray icon).

Show Quick Statistics panels - Quick Statistics panels will be displayed on the Quick Task window if marked and if any panels are created in the panels list. Mark this option if you want to see, for example, the total working time and earned money for today (it can be some other data combination: user/project/activity/workstation for today or in total etc. - click Add button to add a new Quick Statistics panel).

Related options - click this link to edit Favorites & History options of the Quick Task window view menu.

See also Main Window, Quick Work

General|Quick Task|Favorites & History

(This is feature of WorkTime Professional)

Favorites are user defined lists of the most used projects, users or activities. Using Favorites saves time when changing projects, users or activities (you don't have to search in a huge amount of your records every time when you need to switch between two projects).
History is an automatically created list of the recently used projects, users and activities.

General|Quick Task|Favorites & History tab contains settings that specify how pop-up menu items for User, Project and Activity panels on the Quick Task window should be organized.

For example, if you choose to display Projects panel on the Quick Task window (See General|Quick Task paragraph above), you can define the view of the Projects pop-up menu: this menu can contain Favorites list (either as a plain list of ungrouped items or grouped under Favorites menu item), it also can contain History items list and the list of all Projects available.
This menu is setup to display Favorites list (grouped under the Favorites menu item) and History (grouped under the History menu item), the list of all Projects is not displayed:

Users
Show favorites - if marked, Favorites list is displayed in the pop-up menu of the Users panel on the Quick Task window.
Group in submenu - if marked, Favorites list is grouped under the Favorites menu item; if unmarked, Favorites list is ungrouped and displayed at the top level of the pop-up menu.
Show history - if marked, History list is displayed in the pop-up menu of the Users panel on the Quick Task window.
Group in submenu - if marked, History list is grouped under the History menu item; if unmarked, History list is ungrouped and displayed at the top level of the pop-up menu.
Show all - if marked, the list of all Users available is displayed in the pop-up menu of the Users panel on the Quick Task window.
Group in submenu - if marked, the list of all Users available is grouped under the All menu item; if unmarked, the list of all Users available is ungrouped and displayed at the top level of the pop-up menu.

Projects
Show favorites - if marked, Favorites list is displayed in the pop-up menu of the Projects panel on the Quick Task window.
Group in submenu - if marked, Favorites list is grouped under the Favorites menu item; if unmarked, Favorites list is ungrouped and displayed at the top level of the pop-up menu.
Show history - if marked, History list is displayed in the pop-up menu of the Projects panel on the Quick Task window.
Group in submenu - if marked, History list is grouped under the History menu item; if unmarked, History list is ungrouped and displayed at the top level of the pop-up menu.
Show all - if marked, the list of all Projects available is displayed in the pop-up menu of the Projects panel on the Quick Task window.
Group in submenu - if marked, the list of all Projects available is grouped under the All menu item; if unmarked, the list of all Projects available is ungrouped and displayed at the top level of the pop-up menu.

Activity
Show favorites - if marked, Favorites list is displayed in the pop-up menu of the Activity panel on the Quick Task window.
Group in submenu - if marked, Favorites list is grouped under the Favorites menu item; if unmarked, Favorites list is ungrouped and displayed at the top level of the pop-up menu.
Show history - if marked, History list is displayed in the pop-up menu of the Activity panel on the Quick Task window.
Group in submenu - if marked, History list is grouped under the History menu item; if unmarked, History list is ungrouped and displayed at the top level of the pop-up menu.
Show all - if marked, the list of all Activities available is displayed in the pop-up menu of the Activity panel on the Quick Task window.
Group in submenu - if marked, the list of all Activities available is grouped under the All menu item; if unmarked, the list of all Activities available is ungrouped and displayed at the top level of the pop-up menu.

History
Keep last - this field defines how many History records should be kept (for example, 5 last used Users, Projects and Activities can be kept in the Users, Projects and Activities History list).

Related options - click this link to edit Favorites lists for users, projects and activities or to setup the Quick Task window view.

See also Main Window, Quick Work

General|Shortcuts

Change User - if a shortcut keys combination is defined (for example, CTRL + ALT + U) then selecting this keys combination will bring up the Users selector dialog, where you can select another User (or to edit Users list and Users Favorites list).
Change Project - if a shortcut keys combination is defined (for example, CTRL + ALT + P) then selecting this keys combination will bring up the Projects selector dialog, where you can select another Project (or to edit Projects list and Projects Favorites list).
Change Activity - if a shortcut keys combination is defined (for example, CTRL + ALT + A) then selecting this keys combination will bring up the Activities selector dialog, where you can select another Activity (or to edit Activities list and Activities Favorites list).
Start Tracking - if a shortcut keys combination is defined (for example, CTRL + ALT + S) then selecting this keys combination will start tracking if it is not started.
Stop Tracking - if a shortcut keys combination is defined (for example, CTRL + ALT + T) then selecting this keys combination will stop tracking if it is not stopped.
Show Reports - if a shortcut keys combination is defined (for example, CTRL + ALT + R) then selecting this keys combination will bring up the Reports window, where you can generate, view, export or print reports.
Show Options - if a shortcut keys combination is defined (for example, CTRL + ALT + O) then selecting this keys combination will bring up the Options window.
Show/hide WorkTime - if a shortcut keys combination is defined (for example, CTRL + ALT + M) then selecting this keys combination will restore the WorkTime if it is minimized or it will minimize WorkTime if it is not minimized.
Show/hide Quick Task window - if a shortcut keys combination is defined (for example, CTRL + ALT + Q) then selecting this keys combination will show the Quick Work window if it is hidden or it will hide the Quick Task window if it is displaying.
Add Note - if a shortcut keys combination is defined (for example, CTRL + ALT + N) then selecting this keys combination will bring up the Add Note window, where you can add/edit a note.
Add Time - if a shortcut keys combination is defined (for example, CTRL + ALT + T) then selecting this keys combination will bring up the Add Time Manually window, where you can add time or edit tracked time.

See also Main Window, Quick Work

General|Messages & Notes

Confirmation messages

Display confirmation message on WorkTime close - if marked, a confirmation message, asking if you really want to close WorkTime, will be displayed on WorkTime closing.

Balloon messages

Balloon messages are small floating messages displayed above the WorkTime tray icon for a short period of time (for a few seconds). The propose of these messages is to notify about important moments, like tracking status change, project change or current classifiers used (User, Project, Activity) etc.

Display message on
Project autochange - if marked, then every time another project is selected according to the Project autochange rules, a notifying balloon message is displayed.
Tracking autostop/autostart - if marked, then every time when tracking is stopped or started automatically, a notifying balloon message is displayed.
Start/stop tracking (shortcut initiated) - if marked, then every time tracking is started or stopped using Global Shortcuts, a notifying balloon message is displayed.

Current User/Project/Activity reminder
Display message every - if marked, a notifying balloon message is displayed every selected amount of minutes, reminding what current User, Project and Activity is used. Default value is 15 minutes. This is a convenient feature if you do not use Project autochange feature and forget to switch between projects, for example.

Message display time - here you can specify for how long balloon messages should be displayed (in seconds). Default value is 3 seconds.

See also Main Window, Options - Tracking, General - Shortcuts paragraph on this page

Notes

(This is feature of WorkTime Professional)

Add note on tracking start - if marked, Add note on tracking start screen, proposing you to enter a note, will be displayed each time tracking is started or classifier is changed.
Add note on tracking stop - if marked, Add note on tracking stop screen, proposing you to enter a note, will be displayed each time tracking is stopped or classifier is changed.

See also Main Window, Main Menu, Features - Notes

See also Options, Main Menu, Main Window, Hidden Mode, Offline Mode,
WorkTime Terminology - Tracking, WorkTime Terminology - Classifiers, Quick Work, Compare editions


Options - Tracking

Tracking options include autostart tracking, daybreak, tracking/saving frequency, behavior on screensaver/mouse/keyboard inactivity, tracking levels, autochange projects, applications tracking and more settings. These settings that are separated on a few options groups: Tracking, Tracking|Advanced Tracking, Tracking|Applications Tracking.

To access Tracking options, open Options window and select Settings|Tracking (See Main Window, Main Menu, Options).

Tracking

Autostart tracking

Start tracking automatically when WorkTime started - WorkTime will start tracking automatically on start if marked (no need to click Start manually).
Minimize WorkTime when tracking is started - WorkTime will be minimized automatically on tracking start if marked.

See also PC usage tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

Day Break

By default the day break is equal to Midnight (00:00 AM or 24:00). This value can be changed to any other.

See also Project tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

Tracking/saving frequency

Tracking interval - how often tracking is performed.
Save to Database - how often tracked data is saved to the database.

See also PC usage tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

Screen Saver

Keep tracking when Screen Saver runs - tracking will continue if Screen Saver runs if marked.
Autopause tracking when Screen Saver runs - tracking will be paused automatically if Screen Saver runs if marked.
Autostop tracking when autopaused for ... minutes - tracking will be stopped automatically if Screen Saver runs for more than defined time if marked.
Autostop tracking when Screen Saver runs - tracking will be stopped automatically if Screen Saver runs if marked.

See also PC usage tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

Keyboard/Mouse

Autopause tracking when no Keyboard/Mouse activity for ... minutes - tracking will be paused automatically if there is no Keyboard/Mouse activity for the defined time if marked.
Autostop tracking when no Keyboard/Mouse activity for ... minutes - tracking will be stopped automatically if there is no Keyboard/Mouse activity for the defined time if marked.

Rollback saved data on autostop - all data collected as Autopaused will be deleted on autostop if marked.

See also PC usage tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

See also Options, Main Menu, Main Window, WorkTime Terminology, PC usage tracking, Project tracking, Tracking Levels, Compare editions


Options - Advanced Tracking

Options - Tracking | Autochange

(This is a feature of WorkTime Professional)

WorkTime can automatically change projects (also activities and users) depending on the active application, document or URL.

Enable Autochange - enables or disables all autochange rules.
Add, Edit, Delete, Move up/down - use these buttons to manage the list of autochange rules.
Rules execution order is from the top of the list to the bottom, so if there are more than one rule that can be applied - the lowest rule takes priority.

Rule setup

Every autochange rule consists of two parts - conditions and a command. The command is performed when conditions are met.
Click "More >>" button to see all setup options.

Condition setup
Select a condition and enter a substring that must be contained in order to trigger the rule. Text is not case-sensitive.
E.g. if you enter "word" in the Window title - it will match Microsoft Word and Wordpad.

You can enter several text entries separated by ; - such a condition is met if it contains any of the listed substrings.
E.g. "word;excel" will match Microsoft Word or Wordpad or Microsoft Excel.

You can select more than one condition - the rule will match if all of the marked conditions are met.
E.g. if you add Executable full path "office" - then this condition will match only Microsoft Word or Microsoft Excel.

If none of the conditions is selected then this rule is a "default" rule, so this rule is activated when no other rule can be applied.

List of conditions:
Window title - Window caption. The same as Windows taskbar button caption. (E.g. Document1 - Microsoft Word)
Executable full path - full path to the application (e.g. C:\Program Files\Microsoft Office\Office10\WINWORD.EXE)
Application name - parsed portion of the Window title - application (e.g. Microsoft Word)
Document name - parsed portion of the Window title - document, or MDI-document (e.g. Document1)
Executable file name - only file name (excluding file folders) portion of the Executable full path (e.g. WINWORD.EXE)
URL - URL of the active Internet Explorer window.
For more info see PC usage tracking, section: Automatic time tracking.

Command setup:
WorkTime can change project or/and activity or/and user. Mark what you'd like to change and select targets.

Options:
Switch immediately/delayed - WorkTime can perform commands immediately when a matching condition is detected or it can delay the execution for specified number of seconds. E.g. rule with "word" in the Window title will be performed only when Microsoft Word is active for 10 seconds.

Reverse condition - none of the marked conditions must met. E.g. "word;excel" will be performed only when no Microsoft Word, Wordpad or Microsoft Excel are active.

Switch back on condition end - when the condition is not met anymore - WorkTime will switch to the previous project (activity / user).
E.g. if "word" in the Window title condition has a command to switch to the activity "Correspondence", and the current activity is "General" - then when Microsoft Word or Wordpad are active - WorkTime will switch to the "Correspondence" activity, and when Word or Wordpad are closed - it will switch back, namely to the "General".
Note: In this case we'd recommend that you use "Specified" activity option (Options | Startup Preset), since if WorkTime (or computer) is shutdown while Word or Wordpad are active - then after WorkTime restart the current activity will be the last one: "Correspondence", and WorkTime will not be able to switch to the previous one, unless it is selected manually.

See also Project tracking, PC usage tracking, Window title parsing, Main Window, Main Menu, WorkTime Terminology- Tracking


Options - Applications Tracking

Options - Tracking | Applications Tracking

(This is feature of WorkTime Professional)

Applications Tracking

All Applications - WorkTime will track all applications.
Only included in the list - WorkTime will track only included applications. The rest will be tracked as "none".
All except included in the list - WorkTime will only track applications which are not listed in the list. The rest will be tracked as "none".
List executable file names (without folders) separated by ;. Text is not case-sensitive.

This option is usefull when (e.g. for privacy reasons) need to track only some activity. E.g. if Only included in the list is marked and list contains "winword.exe;excel.exe;iexplore.exe" - WorkTime will not survey time spent in other programs except Microsoft Word, Excel and Internet Explorer - those time will be added to the "none" application.

See also PC usage tracking, Project tracking, Main Window, Main Menu, WorkTime Terminology- Tracking

Window Title Parsing

Rules for parsing Window Title into Application/Document name - rules list that define how to get application and document names from a window title (caption)

See also Main Window, Main Menu, WorkTime Terminology- Tracking


Options - Advanced Tracking

Options - Tracking | Advanced Tracking

Tracking Level

Level 1 - WorkTime collects data about projects, activities, users, workstations usage including start/finish times.
Level 2 - WorkTime collects the same data as under Level 1 and also applications, documents usage.
Level 3 - WorkTime collects the same data as under Level 2 and also applications, documents start/finish times.

Level 1 tracks only basic "Project Tracking" data, it doesn't track application or document usage. Level 2 and 3 add more details about application and document usage.

See also PC usage tracking, Tracking Levels, Main Window, Main Menu, WorkTime Terminology- Tracking


Options: Security

Options - Security

Security WorkTime options include a few groups of settings: restricted applications, hidden mode, security password, user and group privileges.

To access Security options, open Options window and select Settings|Security (See Main Window, Main Menu, Options).

Restricted Applications

Do not allow to run these applications - mark this option and recall applications that you want to be prohibited from running.

Hidden Mode

Activate... - hidden mode activation (See Hidden Mode).
Shortcut key to exit Hidden Mode - keys combination to switch back from the hidden mode (switching back from the Hidden Mode requires the password).

See also Main Window, Hidden Mode, WorkTime Terminology - Tracking

Password

Set - define administrators' password.
Clear - clear administrators' password.

User and Group Privileges

Add a user or a group of users you want to define privileges for.

Restrict access all settings (Options window) - if marked, prohibits from accessing Options window unless the password is provided.
Restrict access to all administrative settings - if marked, all Options are prohibited from accessing (except Options|General and Health Reminder) unless the password is provided.
Restrict access to Security settings (this tab) - if marked, prohibits from accessing to security settings unless the password is provided.
Restrict adding, editing, deleting of users, projects, activities - if marked, prohibits from adding, editing and deleting users, projects, classifiers unless the password is provided.
Restrict editing, deleting of users, projects, activities (Allow adding) - if marked, prohibits from editing and deleting users, projects, classifiers unless the password is provided (adding is allowed).
Restrict access to Reports window - if marked, prohibits from accessing reports unless the password is provided.
Filter Reports data by the current Windows Login name only - if marked, allows to view reports for the Windows login user name only unless the password is provided.
Filter Reports data by the current computer name only - if marked, allows to view reports for the current computer only unless the password is provided.
Restrict manual time adding/editing - if marked, manual time adding and editing is prohibited unless the password is provided.
Restrict user changing (Only Windows Login name will be allowed) - if marked, allows to work under Windows login user name unless the password is provided.

See also Options, Main Menu, Main Window, Hidden Mode, Offline Mode,
WorkTime Terminology - Tracking, WorkTime Terminology - Classifiers


Options - Database

Database options include path to the database, database maintenance functionality, offline/online mode functionality and database version and connection information.

To access Database options, open Options window and select Settings|Database (See Main Window, Main Menu, Options).

Database Path

Database Path - path to the WorkTime database.
It can be path to a local database (Ex. C:\WorkTime4\BD\WT4.GDB) or to a remote database (Ex. Home1:P:\WorkTime4\BD\WT4.GDB, where Home1 is a server computer name or IP address and C:\WorkTime4\BD\WT4.GDB is a local path on the server - Important: it must be a local path at the server, but not a shared or a network path) (See WorkTime Terminology - Database, Network Support).

Change Database... - click this button to change database path.
Clicking this button brings up a Database Server and Path window.

Local database:
If you want to define a local database path, select Local radio-button and then select local Database Path.

Remote database:
(This is feature of WorkTime Professional)
To define a remote database pats, select Remote radio-button and enter Server name or IP address (Ex. Home1) in the field near the Remote radio-button; after this enter path to the database (Ex. C:\WorkTime4\BD\WT4.GDB) in the Database Path field (it must be a local path at the server).
When database server and path are defined, click OK to save changes.

Changing database requires closing Options window, so you'll be asked a question if you want to close Options window and save changes. Choosing Yes will save changes and Options window will be closed, choosing No will discard changes made to the database path and Options window will stay opened.

Database Maintenance

Archiving is a process that packs database files into a ZIP-file.
Restoring is a process that unpacks database files from a ZIP-file and places them into the WorkTime database folder.
Repairing is a process that fixes database in the case if there are any problems identified.

Important note: none of the above processes should be interrupted as this might cause loosing data.

Archive database daily on WorkTime start - WorkTime database will be archived to the backup location on WorkTime start if marked.
Keep last ... archives - how many archives should be kept.
Archive folder - a folder where the database archive is stored.
Archive now - clicking this button starts archiving process.
Restore now - clicking this button restores database from archive.
Repair - clicking this button starts database preparing process.

Offline Mode

(This is feature of WorkTime Professional)

Switch to Offline mode - click this button to switch to Offline mode. In the Offline mode WorkTime is not connected to the database and all data is collected locally (See Offline Mode, WorkTime Terminology - Database).
Switch to Online mode - click this button to switch to Online mode. In the Online mode WorkTime is connected to the database and all collected data is saved into the database (See Offline Mode, WorkTime Terminology - Database).
Advanced:
Auto switch into Offline Mode when database cannot be connected - if marked, WorkTime will switch to an offline mode automatically when database cannot be accessed. Note: if WorkTime is in an offline mode, an Offline/Online panel is automatically displayed on the main WorkTIme window (See Options - General, Main Window).
Always start in Offline Mode - if marked, WorkTime starts working in offline mode (without trying to connect to the database).
Automatically go to Online Mode after start in... - if marked, WorkTime automatically switches to an online mode (tries to connect the database) (See Offline Mode).

Database Connection Information

Here you can see the database connection status and the database version.

See also Options, Main Menu, Main Window, WorkTime Terminology - Database, Network Support,
How to setup WorkTime to work in a client-server mode, Compare editions


Options - Health Reminder

Health Reminder options include short break and workday reminders settings.

To access Tracking options, open Options window and select Settings|Tracking (See Main Window, Main Menu, Options).

Display Short Break Reminder - if marked, reminder to take short breaks will be displayed.
Remind every - define how often short break reminders should be displayed.
Message - a short break reminder message.
Sound - a short break reminder sound file.

Display Working Day Reminder - if marked, reminder about the end of your working day will be displayed.
Remind after - define how long is your working day in hours.
Repeat every - define how often should the working day reminder message be repeated after the end of your working day.
Message - a work day reminder message.
Sound - a work day reminder sound file.

See also Options, Main Menu, Main Window


Options - Edit

Options - Customize & Edit

Customize & Edit section of the Options window includes the following functionality: adding, editing, deleting classifiers (projects, users, workstations and activities), applications, documents and of the collected time; editing Favorites lists for projects, users, workstations and activities.

To access Customize & Edit functionality, open Options window and select Settings|Customize & Edit (See Main Window, Main Menu, Options).

Edit|Activities/Projects/Workstations/Users

Every Activity, Project, Workstation or User must have a unique name and may have some description. Projects also may have Rate per Hour value.

To access Activities list, select Settings|Customize & Edit|Activities in the Options window.
To access Projects list, select Settings|Customize & Edit|Projects in the Options window.
To access Workstations list, select Settings|Customize & Edit|Workstations in the Options window. (This is feature of WorkTime Professional)
To access Users list, select Settings|Customize & Edit|Users in the Options window.

Add... - click this button to add a new activity, project, workstation or user.
Clicking this button opens a window where you can enter a name, description, rate per hour (projects only).
Edit... - click this button to edit selected activity, project, workstation or user.
Clicking this button opens a window where you can edit the name, description, rate per hour (projects only).
Delete... - click this button to delete selected activity, project, workstation or user.
Clicking this button opens a window where you'll be proposed to decide what should be done to the collected data (if any). Collected data can be deleted or moved.
Move... - click this button to move selected activity, project, workstation or user.
Clicking this button opens a window where you'll be proposed to select where selected activity, project, workstation or user should be moved.

Favorites:
(This is feature of WorkTime Professional)
Favorites >> - click this button to display or hide Favorites list panel. On the Favorites list panel there are buttons to edit Favorites list: adding to Favorites, deleting from Favorites, changing records order. To add to Favorites, select an item in the main tree (located at the left of the Favorites panel) and click Add to Favorites button at the top of the Favorites panel.

See also Main Window, Quick Work

Edit|Applications

Application Group - applications can de assigned to a group (Ex. Work, Games etc.).
Refresh - click this button to refresh application group drop-down list.
Edit... - click this button to edit selected application.
Delete... - click this button to delete selected application.

Edit|Application Groups

Add... - click this button to add a new application group.
Edit... - click this button to edit selected application group.
Delete... - click this button to delete selected application group.

Edit|Documents

Document Group - documents can de assigned to some group (Ex. Work, Games etc.).
Refresh - click this button to refresh document group drop-down list.
Edit... - click this button to edit selected document.
Delete... - click this button to delete selected document.

Edit|Document Groups

Add... - click this button to add a new document group.
Edit... - click this button to edit selected document group.
Delete... - click this button to delete selected document group.

Edit|Time

(This is feature of WorkTime Professional)

If you forgot to start WorkTime tracking or to switch between projects, use Time Editing feature to correct collected time manually.
Note: This feature is not recommended for everyday use, because changing collected time manually may cause discrepancy in projects and applications reports. To minimize using time editing, setup WorkTime to launch and start tracking automatically on Windows startup (See Options - General, Options - Tracking), also you can setup Project Autochange (See Options - Tracking).

Date - define date to filter collected time.
Refresh - click this button to reload collected time list.
Editing Note - click this link to read a note about using Time Editing feature.
Add... - click this button to add a new time manually.
Delete... - click this button to delete selected time record.
Start Time, Finish Time, Project, User, Activity, Workstation and State (See WorkTime Terminology- Tracking for more information about tracking states) - these fields display settings of selected time record. Use them to edit time records.
Post - click this button to post changes.
Cancel - click this button to cancel changes.
Note - a read-only filed that displays selected note.
Edit - click this button to edit or delete selected note text.

See also Options, Main Menu, Main Window, WorkTime Terminology- Classifiers, Quick Work, Compare editions


Reports

Using Reports window you can generate, preview, print and export reports.
To access Reports window, open WorkTime main menu and select Reports menu item (See Main Menu, Main Window, Reports).

WorkTime Reports Window

The main Reports window areas are
1 - Main menu
2 - Report Types panel
3 - Refresh data and generate report
4 - Print preview, export (This is feature of WorkTime Professional)
5 - Report Filter Types panel
6 - Date Interval panel
7 - Report Filter Values panel
8 - Report data

Report Type buttons
1 - Calendar report
2 - Summary report
3 - Time Line report
4 - Data Analysis report
5 - Applications/Documents Usage report
6 - Custom reports

Report Filter buttons
7 - Filter by Projects
8- Filter by Users
9- Filter by Workstations
10 - Filter by Activities
11 - Filter by Applications
12 - Filter by Active/Inactive Time
13 - Comparison filters

See also Main Menu, Main Window, About Reports, WorkTime Terminology, Compare editions


How to use: Quick Task Window

Quick Task Window

(This is feature of WorkTime Professional)

Quick Task window - a small floating stay-on-top customizable window, where you can choose to display only necessary controls. Quick Task window allows you to perform all important functions (start/stop tracking, change project or activity, add notes etc.) quickly and conveniently.

For example, these Quick Task windows offer fast access to the following features:
- Start Tracking, Stop Tracking and Show Reports buttons, User selector drop-down menu (displays the current user name (Bob Summerson), allows you to change users), line of one-click Favorite Projects buttons (allows you to change project with only one click) and a Quick Statistics panel displaying how much time is spent today working in the selected project and how much money is earned;
- Project selector and Quick Statistics panel.

To display the Quick Task window, select Options | Quick Task tab and mark Show Quick Task window option or select View | Quick Task menu item on the main WorkTime window.

Panels and buttons available on the Quick Task window

User, Project, Activity panels - display the current User, Project, Activity names. These panels can be customized to show: all list, favorites and history. See Options | Quick Task | Favorites & History tab for more settings.
Start/Stop - Start Tracking and Stop Tracking buttons.
Reports - Show Reports button.
Options - Show Options button.
Add Note - Add Note button.
Add Time Manually - Add Time Manually button.
Online/Offline State - panel with information if WorkTime is currently working in Online or Offline mode and allows to switch between modes.
Tracking State - panel with information if WorkTime tracking is currently started or stopped and allows to start/stop tracking.
Notify - current notification message (for example: Processing files...) - the same as at the bottom of WorkTime main window
Menu - main WorkTime pop-up menu (the same menu as is displayed when right-clicking WorkTime tray icon).
Disable autostop/autochange - buttons for temporary disabling: autopause and autostop tracking when there is no activity, and autochange projects/activities/users.
One-click: User, Project, Activity, Custom Select panels - click Customize One-click panels button for setup.
These panels show buttons for selecting user/project/activity with only one mouse-click - User, Project, Activity can be shown as a individual buttons (see first screenshot with favorite Projects lined up in a row). Custom Select allows to setup buttons for simultaneous change a combination of the user, project and activity.

Quick Task menu

Right-click the Quick Task window to access its menu.

Lock the Toolbars - to change panels layout, unmark Lock the Toolbars menu item, move panels the way you need and mark Lock the Toolbars back.
Customize Quick Task - select this menu item to setup what panels exactly you want to be displayed on the Quick Task window.
Main Menu - this menu allows you to access the main WorkTime pop-up menu (the same menu as is displayed when right-clicking WorkTime tray icon).

See also Options- General, Main Window, Quick Work, Favorites & History, Compare editions


How to use: Favorites & History

Favorites & History

(This is feature of WorkTime Professional)

To speedup selecting/changing projects, users and activities, WorkTime proposes you Favorites and History functions.
Favorites are user customizable lists - you can create lists of the most used projects, users or activities. This saves time when changing projects, users or activities (you don't have to search in a huge amount of your records every time when you need to switch between two projects).
History is an automatically created list of the recently used projects, users and activities.

Favorites list - how to create/customize
Favorites lists can be customized in the Options | Customize & Edit tab or in the Select User, Project, Activity windows (these windows can be accessed through the main WorkTime window or through the pop-up menus of the User, Project and Activity panels on the Quick Task window).

Favorites list - how to use
There are different ways on how you can use Favorites lists to speed up your work:
1. Through the Select User, Project or Activity windows: when you change users, projects or activities through the main WorkTime window by clicking '...' buttons or by selecting Edit/Select... item in the drop-down lists, then Select User, Project or Activity window is open. In these windows you can select to display Favorites list (by clicking Favorites >> button). Users, projects and activities can be selected right form the Favorites list.
2. Through the pop-up menus of the User, Project and Activity panels on the Quick Task window (these pop-up menus are customizable, you can choose to display Favorites lists in there).

History list - how to create
History lists are created automatically.

History list - how to use
History lists can be accessed through the pop-up menus of the User, Project and Activity panels on the Quick Task window (these pop-up menus are customizable, you can choose to display History lists in there).

See also Options- General, Main Window, Quick Work, Quick Task Window, Compare editions


Support

Install/Uninstall
Lost Registration Key
Upgrade to New Versions
Reporting Problems
Contacts

See also What is WorkTime, How to buy WorkTime


Installation

Install
Make sure that you have closed WorkTime before installing, otherwise new WorkTime version will not be installed.

Uninstall
You can uninstall WorkTime using standard Windows tools. Go to Start|Settings|ontrol Panel|Install and Uninstall Programs, find WorkTime in the list of applications, select it and click Add/Remove button.
Make sure you have closed WorkTime before you proceed with uninstall, otherwise some files and registry settings will not be removed.

See also What is WorkTime, How to buy WorkTime


Lost Key

Lost Registration Key

If your registration code for some reason becomes invalid or if you lose it contact us at worktime@nestersoft.com with details of your previous registration. You will receive a new code via email at no charge as soon as we validate your old registration data.

See also What is WorkTime, How to buy WorkTime


Bug report

Reporting Problems

If you have any problems using WorkTime be sure to contact us at worktime@nestersoft.com. You may send an email manually, or right-click on TimeLeft system tray icon and select Help|Send Bug Report.

See also What is WorkTime, How to buy WorkTime


Upgrade

Upgrade to new versions

Trial WorkTime

Download the latest WorkTime version and install it to the existing WorkTime
folder without uninstalling the previous version - that will preserve your data,
settings and license information. Don't forget to close WorkTime if running.

Licensed WorkTime

If you are a registered user of WorkTime versions 2,3,4 you may upgrade at no
charge to the latest WorkTime 4 version. Just download and install the licensed
version (requires password) to the the existing WorkTime folder without uninstalling
the previous version - that will preserve your data, settings and license information.
Refer to your registration message for more information. Please contact our
support if you don't have your registration email or upgrading from an older
version.

WorkTime 3 - database upgrade

For more details on how to upgrade WorkTime 3 database to WorkTime 4 database
click here.

See also What is WorkTime, How to buy WorkTime


WorkTime Contact

Contacts

The latest information about WorkTime is always available at http://www.nestersoft.com/worktime/

Please contact us at worktime@nestersoft.com with all questions, suggestions, comments and requests concerning this software.

We would appreciate if you could send us an email concerning WorkTime features, that you would like to be added or modified. Don't hesitate to contact us, we will be glad to provide you with the best solutions we can offer.

Your emails are welcome at worktime@nestersoft.com.

See also What is WorkTime, How to buy WorkTime


About

About NesterSoft

NesterSoft Inc is a private-held company founded in the year of 1998, incorporated in Ontario. We are located in Etobicoke, Ontario, Canada. Our speciality is end-user applications development and web design.

We would appreciate very much if you email us any suggestions concerning possible improvements to WorkTime and our other software. Your emails are welcome at worktime@nestersoft.com.

In the meantime let us present other software products you can find on our site:

TimeLeft

TimeLeft is a countdown, reminder, clock, alarm clock, tray clock, stopwatch, timer, sticker, auction watch, web countdown and time synchronization utility. TimeLeft uses Winamp skins or Font to show digits and text.
TimeLeft has tons of features and options, at the same time it is user-friendly and very easy to use:
Reminder is the most powerful TimeLeft tool that lets you schedule any events: from the simplest one-time notifications to sophisticated recurring events with complex rules
Trayclock - replace your Windows' built-in system-tray clock with skinnable TimeLeft clock
Clock displays time in different time zones
Countdown tracks the amount of time till (or passed after) the specified event
Stopwatch measures time interval
Timer measures time interval and signals its end
Sticker displays a sticky note on your desktop
Time Synchronization - TimeLeft uses atomic clock servers to adjust time on your computer
Auction Watch - you can manage your online (eBay etc.) auctions using Auction Watch module
Countdown For Web - you can place a countdown to your web-page using Export to Web module
Floating Windows - every instance of countdown, clock, stopwatch, timer and sticker is a separate fully customizable floating window
Zoom - every countdown, clock, stopwatch, timer and sticker may have its own size

More about TimeLeft

RequestCommander

RequestCommander is a trouble ticketing system that helps you sort out and organize users' requests and reports. The software processes users' requests on-the-fly and stores them in a conveniently organized database. RequestCommander lets you quickly add any information received by phone or via email.

RequestCommander features easy-to-understand graphic presentation of all collected data: you can simultaneously see the list of request categories, users' requests and answers to these requests (if any). This presentation style powered by smart search and filtering system lets you easily find and access any necessary information.

Other features of the program include ability to work in client-server mode, users register, flexible reporting system, reminder (a list of important events with deadlines for each of them) and sending email.

More about RequestCommander